Bug 75162 - [BlackBerry] Add the BlackBerry specific pauseLoad(bool) to ResourceHandle
Summary: [BlackBerry] Add the BlackBerry specific pauseLoad(bool) to ResourceHandle
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Leo Yang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-22 22:25 PST by Leo Yang
Modified: 2011-12-25 17:58 PST (History)
6 users (show)

See Also:


Attachments
Patch (1.69 KB, patch)
2011-12-22 22:29 PST, Leo Yang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Yang 2011-12-22 22:25:36 PST
The BlackBerry port needs a porting specific function in ResourceHandle.

+#if PLATFORM(BLACKBERRY)
+    void pauseLoad(bool);
+#endif
Comment 1 Leo Yang 2011-12-22 22:29:11 PST
Created attachment 120436 [details]
Patch
Comment 2 WebKit Review Bot 2011-12-23 04:49:47 PST
Comment on attachment 120436 [details]
Patch

Clearing flags on attachment: 120436

Committed r103622: <http://trac.webkit.org/changeset/103622>
Comment 3 WebKit Review Bot 2011-12-23 04:49:51 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Antonio Gomes 2011-12-24 11:17:55 PST
The changelog should definitively say it is needed, its use case, etc.

For example, what is the difference between pauseLoad and deferLoad
Comment 5 Leo Yang 2011-12-25 17:58:08 PST
(In reply to comment #4)
> The changelog should definitively say it is needed, its use case, etc.
> 
> For example, what is the difference between pauseLoad and deferLoad

Thanks Antonio, I'll add more explanation for this kind of porting specific change next time.